<?php

namespace Tests\Browser;

use Laravel\Dusk\Browser;
use Tests\DuskTestCase;

class LoginTest extends DuskTestCase
{
    /**
     * A basic browser test to verify login page visibility.
     */
    public function test_login_page_is_visible_on_docroot(): void
    {
        $this->browse(function (Browser $browser) {
            $browser->visit('/')
                ->assertPathIs('/')
                ->assertSee('Bejelentkezés')
                ->assertVisible('#inputLoginName')
                ->assertVisible('#inputPassword')
                ->assertVisible('button[type="submit"]');
        });
    }
}
